<template>
  <el-dialog :visible.sync="visible" title="批量发货" width="510px" @closed="$emit('close')">
    <!-- <dm-upload-file></dm-upload-file> -->
    <div>
      成功<span>{{successCount}}</span>条，失败<span>{{failedCount}}</span>条
    </div>
    <div>1.下载批量发货的模版；<el-link type="primary" href="/">点此下载</el-link></div>
    <div>2.填入需要发货的发货单号、物流公司名称、物流公司编码、物流单号；</div>
    <div>3.仅支持.xlsx .xls的文件导入，最多1000条信息，文件大小不超过2M；</div>
    <div slot="footer">
      <el-button @click="visible = false">取消</el-button>
      <el-button type="primary" @click="handleConfirm">确认</el-button>
    </div>
  </el-dialog>
</template>

<script>
export default {
  data() {
    return {
      visible: false,
      successCount: 0,
      failedCount: 0,
    };
  },
  mounted() {
    this.visible = true;
  },
  methods: {
    handleConfirm() {
      console.log(1);
    },
  }
};
</script>
